# The effects of model complexity on model output uncertainty in co-evolved coupled natural–human systems

This is the code archive for the publication "The effects of model complexity on model output uncertainty in co-evolved coupled natural–human systems" in Earth's Future.

## Abstract
Studies have recently focused on using coupled natural–human systems (CNHS) to inform policymaking. However, model uncertainty can increase with model complexity and affect the variance of the model outcomes. Therefore, this study explores an uncertainty analysis of coupled hydrological and human decision models to better evaluate CNHS modeling properties. Five coupled models are proposed with different model complexities for human behavior settings (i.e., model structure and the number of calibrated parameters): one static, two adaptive, and two learning adaptive. Learning adaptive models (the most complex) have both a learning component (capturing long-term trends) and an adaptive component (capturing short-term variations), while adaptive models omit the learning component. The static model is the simplest, without learning or adaptive components. Applying the law of total variance, the model output uncertainty is decomposed into three sources: (1) climate change scenario uncertainty, (2) climate internal variability, and (3) different model configurations with parameter sets or model structures that are equally capable of producing similar outcomes. Our exploratory analysis demonstrated that model uncertainty would likely increase with model complexity given uncertain input data (e.g., climate forcing) and different model configurations; the inclusion of a learning mechanism in the human system can potentially offset the impact of the natural system on uncertainty through coupling natural and human systems. We also discuss other uncertainty sources, such as assumptions about model structure due to incomplete knowledge and metrics for calibration target selection for future studies.

Lin, C. Y., & Yang, Y. C. E. (2022). The effects of model complexity on model output uncertainty in co-evolved coupled natural–human systems. Earth Future. (under review)
